Get Enabled Alert Types
Request to be POSTed to uri : /NorenWClientAPI/GetEnabledAlertTypes
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id |
Response Details :
Response data will have below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Alert order success or failure indication. | |
| request_time | This will be present only in a successful response. | |
| ai_ts | Array of alert types |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientapi/GetEnabledAlertTypes' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO"}'
Sample Success Response :
{
"stat": "Ok",
"request_time": "19012026153012",
"ai_ts":
[
{"ai_t":"ATP"},
{"ai_t":"LTP"},
{"ai_t":"Perc. Change"}
]
}
Sample Failure Response :
{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}